VARNISHRELOAD(1)

NAME
varnishreload - reload active VCL

SYNOPSIS
varnishreload [file]

DESCRIPTION
The varnishreload utility loads a new Varnish configuration and activates it iff valid using varnishadm(1). If no file is given the installation default is used.

The new VCL name consists of the file name and a timestamp (UTC) to maintain a meaningful and ordered list of configuations.

FILES

/etc/varnish/default.vcl
    default VCL file

EXIT STATUS

EXAMPLES
List available configurations, reload the default one and verify:

    # varnishadm vcl.list
    active   auto    warm         0    boot
    # varnishreload
    VCL compiled.
    VCL 'default_20201107165406' now active
    # varnishadm vcl.list
    available   auto    warm         0    boot
    active      auto    warm         0    default_20201107165406

SEE ALSO
varnishadm(1), varnishd(1)

AUTHORS
Klemens Nanni <kn@openbsd.org>